.\" $NetBSD: opl.4,v 1.20 2009/01/03 17:44:20 christos Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 3, 2009
.Dt OPL 4
.Os
.Sh NAME
.Nm opl
.Nd Yamaha OPL2 and OPL3 FM MIDI synthesizer driver
.Sh SYNOPSIS
.Cd "opl*  at cmpci? flags 1"
.Cd "opl*  at eso?"
.Cd "opl*  at ess?"
.Cd "opl*  at fms?"
.Cd "opl0  at isa? port 0x388"
.Cd "opl*  at sb?"
.Cd "opl*  at sv?"
.Cd "opl*  at wss?"
.Cd "opl*  at yds?"
.Cd "opl*  at ym?"
.Cd "midi* at opl?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Yamaha OPL2 (YM3812) and OPL3
(YMF262) chips.
The chips are FM synthesizers and are capable
of producing a wide range of sounds.
.Pp
Access to the device is through the MIDI driver.
.Pp
The
.Nm
driver usually attaches to a sound card, but it can also sit
directly on the ISA bus.
.Pp
If
.Dq flags 1
is specified, the
.Nm
driver handles left and right channels of OPL3 swapped.
Use this flag if your device has such problem.
.Sh SEE ALSO
.Xr cmpci 4 ,
.Xr eso 4 ,
.Xr ess 4 ,
.Xr fms 4 ,
.Xr isa 4 ,
.Xr midi 4 ,
.Xr sb 4 ,
.Xr sv 4 ,
.Xr wss 4 ,
.Xr yds 4 ,
.Xr ym 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.4 .
.Sh BUGS
The OPL3 chip is operated in OPL2 mode despite being more capable.
